function A = pentadiag(a, b, c, d, e, m, n)

%PENTADIAG  Gives an m x n pentadiagonal matrix with stencil [a b c d e]
% function A = pentadiag(a, b, c, d, e, m, n)
%
% See also TRIDIAG, SPDIAGS, SPDIAG
%
% Revision date: May 28, 2016
% (C) Michiel Hochstenbach 2016

if nargin < 1 || isempty(a)
  a = 1;
end
if nargin < 2 || isempty(b)
  b = -4;
end
if nargin < 3 || isempty(c)
  c = 6;
end
if nargin < 2 || isempty(d)
  d = -4;
end
if nargin < 3 || isempty(e)
  e = 1;
end
if nargin < 6 || isempty(m)
  m = 1000;
end
if nargin < 7 || isempty(n)
  n = m;
end

g = ones(max(m,n),1);
A = spdiags([a*g b*g c*g d*g e*g], -2:2, m, n);
