function r = randn1(n)

%RANDN1  Creates a random vector on the unit sphere
% function r = randn1(n)
%
% See also RAND, RRAND, RANDN, RAND1
%
% Reference: J. Kuczynski, H. Wozniakowski
%   SIMAX 13(4), p. 1116, 1992
%
% Revision date: October 30, 2014
% (C) Michiel Hochstenbach 2014

if nargin < 1 || isempty(n)
  n = 1;
end
r = randn(n,1);
r = r / sqrt(r'*r);
