function A = spdiag(v, m, n)

%SPDIAG  A sparse diagonal matrix with given elements on diagonal
% function A = spdiag(v, m, n)
%   In:  v row vector
%
% See also DIAG, SPDIAGS
%
% Revision date: November 26, 2004
% (C) Michiel Hochstenbach 2014

if nargin < 2 || isempty(m)
  m = length(v);
end
if nargin < 3 || isempty(n)
  n = length(v);
end
if size(v,2) > size(v,1)
  v = v.';
end
A = spdiags(v, 0, m, n);