function A = tridiag(a, b, c, m, n)

%TRIDIAG  m x n tridiagonal matrix with stencil [a b c]
% function A = tridiag(a, b, c, m, n)
%
% See also DIAG, SPDIAGS, SPDIAG, PENTADIAG
%
% Revision date: May 28, 2016
% (C) Michiel Hochstenbach 2016

if nargin < 1 || isempty(a)
  a = 1;
end
if nargin < 2 || isempty(b)
  b = -2;
end
if nargin < 3 || isempty(c)
  c = 1;
end
if nargin < 4 || isempty(m)
  m = 1000;
end
if nargin < 5 || isempty(n)
  n = m;
end

e = ones(max(m,n), 1);
A = spdiags([a*e b*e c*e], -1:1, m, n);
